<?php
/**
 * An example config file for EvSlideshow.
 */
$config = array(
	'EvSlideshow' => array(
		'fields' => array(
			'Slide.button_text' => array( // set to false to hide button text
				'type' => 'string',
				'validate' => array(
					'required' => array(
						'rule' => 'notEmpty',
						'message' => 'Required'
					)
				)
			),
			'Slide.button_link' => array( // set to false to hide button url
				'type' => 'string',
				'validate' => array(
					'required' => array(
						'rule' => 'notEmpty',
						'message' => 'Required'
					)
				)
			),
			//Allows adding additional fields e.g.
			'Slide.extra' => array(
				'text_line1' => array(
					'type' => 'string',
					'label' => 'Text Line 1',
					'validate' => array(
						'required' => array(
							'rule' => array('notempty'),
							'message' => 'Text line one is required',
						)
					)
				),
				'text_line2' => array(
					'type' => 'string',
					'label' => 'Text Line 2',
					'validate' => array(

					)
				),
				'text_line3' => array(
					'type' => 'string',
					'label' => 'Text Line 3',
					'validate' => array(

					)
				),
				'background' => array(
					'type' => 'select',
					'options' => array(
						'black' => 'Black',
						'purple' => 'Purple',
						'yellow' => 'Yellow',
						'green' => 'Green'
					)
				)
			),
		)
	)
);